*{
    margin:0;
    padding:0;
    box-sizing: border-box;
}

body{
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
}
body::before{
    /* to display the entire page event without the content */
    content:'';
    position: absolute;
    top:0;
    left:0;
    width:100%;
    height: 100%;
    background: linear-gradient(45deg,#e91e63,#e91e63 50%,#ffc107 50%, #ffc107 100%);
}
body::after{
    /* to display the entire page event without the content */
    content:'';
    position: absolute;
    top:0;
    left:0;
    width:100%;
    height: 100%;
    /* how to hav two overlay in background linear gradient */
    background: linear-gradient(160deg,#03a9f4,#03a9f4 50%,transparent 50%, transparent 100%);
    /* background soft movement animation */
    animation:animate 5s ease-in-out infinite;
}
@keyframes animate{
    0%{
        transform: translateY(10px);
    }
    50%{
        transform:translateY(-10px);
    }
    100%{
        transform:translateY(9px);
    }
}
.container::before{
    content:'';
    position: absolute;
    bottom:-150px;
    width:100%;
    height: 60px;
    background: radial-gradient(rgba(0,0,0,0.2), transparent , transparent);
    border-radius: 50%;
}

.box{
    position:relative;
    z-index: 1;
    width: 400px;
    height: 400px;
    /* to make a blur effect on the background ( a squire will be blured) */
    backdrop-filter: blur(25px);
    border-radius: 50%;
    border:1px solid rgba(255,255,255,0.5);
    animation: animate 6s ease-out infinite;
    animation-delay:-2.5s;
} 
.clock{
   position: absolute;
   top:10px;
   left:10px;
   right:10px;
   bottom:10px;
   display: flex;
   justify-content: center;
   align-items: center;
   /* to add an image as a background glassmorphism */
   background: radial-gradient(transparent, rgba(255,255,255,0.2)), url(../img/clockback.png);
   /* to fitt the background image to the box */
   background-size: cover; 
   border-radius: 50%;
   backdrop-filter: blur(25px);
   /* add nice clock edge */
   border:1px solid rgba(255,255,255,0.5);
   border-bottom: none;
   border-right:none;
   box-shadow: -10px -10px 20px rgba(255,255,255,0.1), 10px 10px 20px rgba(0,0,0,0.1), 0px 40px 50px rgba(0,0,0,0.2);
}
/* to display handles inside the clock  */
.clock::before{
    content:'';
    position:absolute;
    width:15px;
    height: 15px;
    background:#fff;
    border-radius:50%;
    z-index:1000;
}
.hour,
.min,
.sec{
    position:absolute ;
}
.hour, .hr{
    width:160px;
    height: 160px;
}
.min, .mn{
    width:190px;
    height:190px;
}
.sec , .sc{
    width:230px;
    height:230px;
}
/* white circle in the middle of the clock */
.hr, .mn, .sc{
    display: flex;
    justify-content: center;
    position:absolute;
    border-radius: 50%;
}
/* red short hour handler */
/* the internal element in the HTML wich will have the id should be contented (not the box on its own)*/
.hr::before{
    content:'';
    position: absolute;
    width:8px;
    height: 80px;
    background-color: #ff105e;
    z-index:11;
    border-radius:6px;
}
.mn::before{
    content:'';
    position: absolute;
    width:8px;
    height: 90px;
    background-color: #fff;
    z-index:12;
    border-radius: 6px;
}
.sc::before{
    content:'';
    position: absolute;
    width:1px;
    height: 150px;
    background-color: #fff;
    z-index:14;
    border-radius: 6px;
}
/* bist 8.44 */